Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.auth
Interface IAuthenticator

All Known Implementing Classes:
  AllowAllAuthenticator

    public interface IAuthenticator

Field Summary
`static java.lang.String` | `PASSWORD_KEY`
`static java.lang.String` | `USERNAME_KEY`

Method Summary
`AuthenticatedUser` | `authenticate(java.util.Map<? extends java.lang.CharSequence,? extends java.lang.CharSequence> credentials)`
`AuthenticatedUser` | `defaultUser()`
`void` | `validateConfiguration()`

Field Detail

### USERNAME_KEY

    static final java.lang.String USERNAME_KEY

See Also:
  Constant Field Values

### PASSWORD_KEY

    static final java.lang.String PASSWORD_KEY

See Also:
  Constant Field Values

Method Detail

### defaultUser

    AuthenticatedUser defaultUser()

  Returns:
    The user that a connection is initialized with, or 'null' if a user must call login().

### authenticate

    AuthenticatedUser authenticate(java.util.Map<? extends java.lang.CharSequence,? extends java.lang.CharSequence> credentials)
                                   throws AuthenticationException

  Parameters:
    `credentials` - An implementation specific collection of identifying information.
  Returns:
    A successfully authenticated user: should throw AuthenticationException rather than ever returning null.
  Throws:
    `AuthenticationException`

### validateConfiguration

    void validateConfiguration()
                               throws ConfigurationException

  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation